/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AckAction.java 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.actions.impl;

import org.ow2.jasmine.event.beans.JasmineEventNotification;
import org.ow2.jasmine.monitoring.eos.notification.actions.api.AbstractStandardAction;
import org.ow2.jasmine.monitoring.eos.notification.actions.exchange.ActionResult;
import org.ow2.util.log.Log;
import org.ow2.util.log.LogFactory;

public class AckAction extends AbstractStandardAction {

    /**
     * Name.
     */
    private static final String NAME = "Acknowlegde action";

    /**
     * Logger.
     */
    private Log logger = LogFactory.getLog(AckAction.class);

    public AckAction() {
        this.logger.debug("{0} instanced.", this.getClass().getName());
    }

    @Override
    public ActionResult execute(final JasmineEventNotification notification) {
        this.logger.info("Action {0} not implemented yet.", this.getClass().getName());

        ActionResult result = new ActionResult();
        result.setResult("Action result");
        result.setType(this.getType());

        return result;
    }

    @Override
    public String getName() {
        return NAME;
    }

}
